/* 
 * File:   function_prototypes.h
 * Author: charl
 *
 * Created on March 9, 2021, 10:26 PM
 */

#ifndef FUNCTION_PROTOTYPES_H
#define	FUNCTION_PROTOTYPES_H
#endif	/* FUNCTION_PROTOTYPES_H */	


// General & Timer Initialization 
        void initIO(void);
        void initInterrupts(void);
        void initTimer3(void);
        void initTimer5(void);
        void initINT1(void);
        void initTimer4(void);
        void initOC(void);
       
// CAN //
void initCAN();
void set_Baud();
void initFIFO();
struct CAN_out Read_FIFO();
struct CAN_out0_R ProcessMessage0();
struct CAN_out1_R ProcessMessage1();
struct CAN_out0_L ProcessMessage2();
struct CAN_out1_L ProcessMessage3();
void initFilterRight();
void initFilterLeft();

// UART/Nextion //
void configUART2(void);
unsigned char Serial_Write(unsigned char);
void Terminate(void);           
void Send(unsigned char *);
void Write_val(int, int);
void Write_Page2(int, int, int);
void Write_gauge(int, int);
void Write_voltage(int);
void Write_error(char* , char* );
void decodeErrors_right(void);
void decodeErrors_left(void);

// SPI //
void initISO_SPI2();
void errorMessageTranslator(unsigned short);
void getInfo();
short WriteReadSPI(unsigned short);
void kill1Time();
void suchTime();

void init_PID_RPM();
void updateOC();
//void killTime();



