
/* 
 * File:   main.c
 * Author: charl
 *
 * Created on March 9, 2021, 10:22 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/attribs.h>
#include <sys/kmem.h>
#include <proc/p32mx795f512h.h>
#include "FT8xx.h"
#include "Library.h"
#include "configbits.h"
#include "function_prototypes.h"
#include "nextion_var.h"
#include "global.h"
#include "SPI.h"



/*
 * 
 */
int main(int argc, char** argv) {

// Configure IO //
    initIO();

// Initialize Nextion display
    configUART2();
    
//Initialize SPI
    initISO_SPI2();
    initInterrupts();
    init_PID_RPM();
    
// Initialize Interrupt Timers

    while(1){
        T3CONbits.ON = 1; // turn on timer3
        T5CONbits.ON = 1; // turn on timer5
        updateOC();
        getInfo();
    }
   
    return (EXIT_SUCCESS);
}

