
/* 
 * File:   nextion_var.h
 * Author: kyle Fulk
 *
 * Created on March 9, 2021, 10:26 PM
 */

#ifndef NEXTION_VAR_H
#define	NEXTION_VAR_H
#endif	/* NEXTION_VAR_H */


// Variables that will be displayed on Nextion
int motor_rpm;      // rpm of the motor displayed on page 1
float rpm_gauge;    // value used to display rpm on the gauge onn page 1
int right_rpm;      //rpm of right motor, displayed on page 2
int left_rpm;       //rpm of left motor, displayed on page 2
int volt;           // actual voltage on capacitor, displayed on page 2 and used to calculate bat
int bat;            //capacitor voltage %, displayed on page 1 status bar
int speed_car;          // speed of the car, displayed on page 1

char* left_error;   //left Kelly controller error
char* right_error;  // right Kelly controller error
char* AMS_error;    // AMS board error
